#!/bin/sh
g++ ./bitpacking_test.cc -O2 -std=c++11 -o ../bin/bitpacking_test
echo "64 x 56 x 56 -> 64"
../bin/bitpacking_test --rows 3136 --cols 576 --depth 64 
echo "128 * 28 * 28 -> 128"
../bin/bitpacking_test --rows 784 --cols 1152 --depth 128
echo "256 * 14 * 14 -> 256"
../bin/bitpacking_test --rows 196 --cols 2304 --depth 256
echo "512 * 7 * 7 -> 512"
../bin/bitpacking_test --rows 49 --cols 4608 --depth 512
